#!/bin/sh

##
# - warning, some values, which are defined here, can be overriden with files
#   in the /etc/squidwall/options directory
# - you have now the ability, to define such things even via webinterface :)
##

SERVER="192.168.100.6"
NETWORK="testing"

exec env -i \
 LOG_FILE="/var/log/squid/squidwall.log" \
 CACHE_DIR="/var/cache/squidwall" \
 CLAMAV_SOCKET="/var/lib/clamav/clamd.sock" \
 CLAMD="127.0.0.1:3310" \
 PROXY="127.0.0.1:3128" \
 REDIR_BADUSER="http://$SERVER/inet/deny.php?network=$NETWORK&reason=user&" \
 REDIR_BADHOST="http://$SERVER/inet/deny.php?network=$NETWORK&reason=host&" \
 REDIR_BADCONT="http://$SERVER/inet/deny.php?network=$NETWORK&reason=cont&" \
 REDIR_BADURL="http://$SERVER/inet/deny.php?network=$NETWORK&reason=url&" \
 REDIR_VIRUSFOUND="http://$SERVER/inet/deny.php?network=$NETWORK&reason=virus&" \
 REDIR_BANNERFOUND="http://$SERVER/inet/img/t.png" \
 REDIR_SAFESITE="http://$SERVER/" \
 REDIR_WEBINTERFACE="http://$SERVER/inet/" \
 MAX_SIZE="50000" \
 PFILTER_MAX="100" \
 PFILTER_DEFAULT="25" \
 /usr/bin/squidwall

# CACHE="/var/cache..."
# /usr/bin/strace -s 22222 -o /tmp/xx-$$.st \

# perl -p s/^\d+\.\d+/localtime $&/e;
