#include "fmtX.h"
#include "hextab.h"

unsigned long fmt_blob(char *dst, const char *src, unsigned long len)
{
	register const unsigned char *s=(const unsigned char*)src;
	unsigned long written=0,i;

	if (!dst) {
		/* x'12345' */
		return 2 + len*2 + 1;
	}

	*dst='x'; ++dst;
	*dst='\047'; ++dst;
	for (i=0; i<len; ++i) {
		*dst = hextab[s[i]/16]; ++dst;
		*dst = hextab[s[i]%16]; ++dst;
		written+=2;
	}
	*dst='\047'; ++dst; *dst=0;

	return 2 + written + 1;
}
